sayren Docs
클레임

클레임 거부

POST
/v1/claims/{claimId}/reject

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

claimId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
reason*string
Value in"USED_PRODUCT""MISSING_COMPONENT""PERIOD_EXPIRED""BUYER_FAULT_DAMAGE""ETC"
detail*string
Length10 <= length <= 1000
evidenceImages?array<>
Itemsitems <= 5

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/claims/string/reject' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "reason": "USED_PRODUCT",  "detail": "stringstri"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "claimId": "string",    "claimNo": null,    "type": "CANCEL",    "status": "REQUESTED",    "orderId": "string",    "orderItemId": "string",    "productName": "string",    "quantity": 0,    "reason": "CHANGE_OF_MIND",    "reasonDetail": "string",    "responsibility": "BUYER",    "claimDeliveryFee": 0,    "expectedRefundAmount": 0,    "expectedDeliveryFeeRefundAmount": 0,    "expectedPointRefundAmount": 0,    "exchangeOption": {      "optionId": "string",      "optionName": "string"    },    "collect": {      "method": "SELLER_PICKUP",      "carrierCode": "string",      "trackingNumber": "string"    },    "fulfillmentType": "SHIPPING",    "requestedAt": "string",    "completedAt": "string",    "holdExpiresAt": "string",    "holdUsed": true,    "returnAddress": {      "name": "string",      "contactName": "string",      "phone": "string",      "zipCode": "string",      "address1": "string",      "address2": "string"    }  },  "error": null}